\( \newcommand{\E}{\mathrm{E}} \) \( \newcommand{\A}{\mathrm{A}} \) \( \newcommand{\R}{\mathrm{R}} \) \( \newcommand{\N}{\mathrm{N}} \) \( \newcommand{\Q}{\mathrm{Q}} \) \( \newcommand{\Z}{\mathrm{Z}} \) \( \def\ccSum #1#2#3{ \sum_{#1}^{#2}{#3} } \def\ccProd #1#2#3{ \sum_{#1}^{#2}{#3} }\)

CGAL 4.8 - Linear Cell Complex

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Groups Pages
List of all members
CGAL::Linear_cell_complex_traits< d, K > Class Template Reference
Classes

`#include <CGAL/Linear_cell_complex_traits.h>`

## Inherits from

K.

## Definition

This geometric traits concept is used in the `Linear_cell_complex` class.

It can take as parameter any model of the concept `Kernel` (for example any CGAL kernel), and defines inner types and functors corresponding to the given dimension.

Is Model Of:
  `LinearCellComplexTraits`

Template Parameters

  d | the dimension of the kernel,
  K | a model of the concept `Kernel` if `d==2` or `d==3`; a model of the concept `Kernel_d` otherwise.

There is a default template arguments for `K` which is `CGAL::Exact_predicates_inexact_constructions_kernel` if `d` is 2 or 3, and is `CGAL::Cartesian_d<double>` otherwise.

Note that the default argument used for `K` when d>3 does not use exact predicates because operations that use predicates are only defined in 2D and 3D.

See Also
  `CGAL::Linear_cell_complex<d,d2,LCCTraits,Items,Alloc>`

Examples:
  Linear_cell_complex/linear_cell_complex_3_with_colored_vertices.cpp.

## Constants
static unsigned int | ambient_dimension = d